Summary: Perl networking facilities.  
Name: Net.pm
Version: 1.00
Requires: perl >= 5.003, IO.pm >= 1.09
Packager: Michael De La Rue <miked@ed.ac.uk>
Release: 4
Copyright: As Perl:- Artistic License or GPL
Group: Development/Libraries/Perl
Source: ftp://ftp.funet.fi/pub/languages/perl/CPAN/modules/by-category/05_Networking_Devices_Inter_Process/Net/libnet-1.00.tar.gz
#This package is not relocatable and cannot have a different build
#root because it relies on perl's idea of the correct location of
#files.  
%description
This package provides access to various networking protocols from
within perl.  These are FTP, SMTP, Telnet, Time, NNTP and POP3.  It
also provides support in the form of parsing for .netrc files and a
module to identify your own hosts domain. 
%prep
%setup -n libnet-1.00

%build
perl Makefile.PL
make
# wouldn't it be nice to have a pre-test and post-test section 
#make test || echo 'Build had errors; please fix'

%install
make install

%files
%doc README README.DEBUG Hostname.pm.eg demos
/usr/lib/perl5/man/man3/Net::Cmd.3
/usr/lib/perl5/man/man3/Net::Domain.3
/usr/lib/perl5/man/man3/Net::FTP.3
/usr/lib/perl5/man/man3/Net::NNTP.3
/usr/lib/perl5/man/man3/Net::Netrc.3
/usr/lib/perl5/man/man3/Net::POP3.3
/usr/lib/perl5/man/man3/Net::SMTP.3
/usr/lib/perl5/man/man3/Net::Telnet.3
/usr/lib/perl5/man/man3/Net::Time.3
/usr/lib/perl5/site_perl/Net/Cmd.pm
/usr/lib/perl5/site_perl/Net/Domain.pm
/usr/lib/perl5/site_perl/Net/FTP.pm
/usr/lib/perl5/site_perl/Net/NNTP.pm
/usr/lib/perl5/site_perl/Net/Netrc.pm
/usr/lib/perl5/site_perl/Net/POP3.pm
/usr/lib/perl5/site_perl/Net/SMTP.pm
/usr/lib/perl5/site_perl/Net/Telnet.pm
/usr/lib/perl5/site_perl/Net/Time.pm


